<?php
// постраничная навигация
require('functions/pagination.php');

// регистируем область для размещения меню
function register_my_menus() {
  register_nav_menus(
    array(
      'footer-menu-1' => __( 'Footer Menu 1' ),
      'footer-menu-2' => __( 'Footer Menu 2' ),
      'footer-menu-3' => __( 'Footer Menu 3' ),
      'footer-menu-4' => __( 'Footer Menu 4' ),
      'header-menu' => __( 'Header menu' )
    )
  ); 
}
add_action( 'init', 'register_my_menus' );

// Регистрируем сайдбар
function start_sidebar() {
 
	$args[0] = array(
		'id'            => 'sidebar-left',
		'name'          => __( 'Левый сайдбар', 'striped' ),
		'description'   => __( 'Левая сайдбар для 3-х колонок', 'striped' ),
		'class'         => 'striped-widget',
		'before_title'  => '<header><h2 class="widgettitle">',
		'after_title'   => '</h2></header>',
		'before_widget' => '<section> <div id="primary-sidebar" class="primary-sidebar widget-area" role="complementary"><div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div></div><!-- #sidebar-left --></section>',
	);
	register_sidebar( $args[0] ); 
	
	$args[1] = array(
		'id'            => 'sidebar-right',
		'name'          => __( 'Правый сайдбар', 'striped' ),
		'description'   => __( 'Правый сайдбар для 3-х колонок', 'striped' ),
		'class'         => 'striped-widget',
		'before_title'  => '<header><h2 class="widgettitle">',
		'after_title'   => '</h2></header>',
		'before_widget' => '<section> <div id="secondery-sidebar" class="primary-sidebar widget-area" role="complementary"><div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div></div><!-- #sidebar-right --></section>',
	);
	register_sidebar( $args[1] ); 
	
	$args[2] = array(
		'id'            => 'sidebar-right-two-column',
		'name'          => __( 'Правый сайдбар', 'striped' ),
		'description'   => __( 'Правая колонка для 2-х колонок', 'striped' ),
		'class'         => 'striped-widget',
		'before_title'  => '<header><h2 class="widgettitle">',
		'after_title'   => '</h2></header>',
		'before_widget' => '<section> <div id="secondery-sidebar" class="primary-sidebar widget-area" role="complementary"><div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div></div><!-- #sidebar-right --></section>',
	);
	register_sidebar( $args[2] ); 	
	
	$args[3] = array(
		'id'            => 'sidebar-left-two-column',
		'name'          => __( 'Левая сайдбар', 'striped' ),
		'description'   => __( 'Левая колонка для 2-х колонок', 'striped' ),
		'class'         => 'striped-widget',
		'before_title'  => '<header><h2 class="widgettitle">',
		'after_title'   => '</h2></header>',
		'before_widget' => '<section> <div id="secondery-sidebar" class="primary-sidebar widget-area" role="complementary"><div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div></div><!-- #sidebar-right --></section>',
	);
	register_sidebar( $args[3] ); 
}
 
// Хук для функции 'widgets_init'
add_action( 'widgets_init', 'start_sidebar' );

if ( function_exists( 'add_theme_support' ) ) { 
	add_theme_support( 'post-thumbnails' ); 
	set_post_thumbnail_size( 200, 200, true );
}
?>